function getRemoteSite() {
	//return "http://localhost:62339";
	return "http://api.jingjidashi.com";
}

// 监听“返回”按钮事件
function addEventTest() {
	plus.key.addEventListener("backbutton", function() {
		alert("BackButton Key pressed!");
	});
}

var w = 0;

function plusReady() {
	// Android处理返回键
	plus.key.addEventListener('backbutton', function() {
		w++;
		if (w++ > 1) {plus.runtime.quit(); }
		$.toast("再按一次退出经纪大师");
		if (!c) {
			var c = setTimeout(function() {
				if (w > 0) w--;
			}, 1000);
			window.onbeforeunload = function() {
				clearTimeout(c);
			}
		};
	});
}
if (window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}

document.addEventListener('touchstart', function() {
	return false;
}, true);
// 禁止选择
document.oncontextmenu = function() {
	return false;
};
//// 获取错误信息
//document.addEventListener("error",function(e){
//	info.innerText="请求的页面（"+e.url+"）无法打开";
//	console.log("请求的页面无法打开："+e.href);
//},false);

function isDebugInWeb() {
	var d = $.device;
	
	return d.android == false && d.androidChrome == false && 　d.ios == false && 　d.ipad == false && 　d.iphone == false && 　d.isWeixin == false;
}

function $v(id, value) {
	var ele = document.getElementById(id);
	if (value === undefined) {
		return ele ? ele.value : null;
	}
	if (ele) ele.value = value;
	return ele;
}

function isLogin() {
	var accountNo = getlocal("prop:accountNo");
	return accountNo;
}

function setMoblieNo(v) {
	setlocal("prop:mobileNo", v);
}

function getMoblieNo() {
	return getlocal("prop:mobileNo");
}

function setAccountType(v) {
	setlocal("prop:accountType", v);
}

function getAccountType() {
	return getlocal("prop:accountType");
}

function getAccountName() {
	return getlocal("prop:accountName");
}

function setAccountName(v) {
	setlocal("prop:accountName", v);
}

function getAccountNo() {
	return getlocal("prop:accountNo");
}

function setAccountNo(v) {
	setlocal("prop:accountNo", v);
}

function removeAuth() {
	removelocal("prop:accountNo");
	removelocal("prop:accountType");
	removelocal("prop:accountName");
}

// 读取缓存
function getlocal(key) {
	return localStorage.getItem(key);
}

function getlocalJson(key) {
	var value = localStorage.getItem(key);
	if (value) return JSON.parse(value);
	return null;
}

// 设置缓存
function setlocal(key, value) {
	try {
		localStorage.setItem(key, value);
	} catch (oException) {
		if (oException.name == 'QuotaExceededError') {
			console.log('超出本地存储限额！');
			//如果历史信息不重要了，可清空后再设置
			localStorage.clear();
			localStorage.setItem(key, value);
		}
	}
}

// 删除缓存信息
function removelocal(key) {
	try {
		localStorage.removeItem(key);
	} catch (e) {
		console.log("remove localstorage " + key + " failed");
	}
}

function getPicUrl() {
	return "http://jjds.oss-cn-beijing.aliyuncs.com/";
}

function getSignData() {
	var data = {};
	data.app = "BEA";
	data.time = new Date().getTime().toString();
	data.sign = md5("f6201b5ee70cf748a339cc5f11b5c4c4" + "-" + data.time);
	data.debug = "yes";
	return data;
}

function getQueryStrings() {
	var assoc = {};
	var decode = function(s) {
		return decodeURIComponent(s.replace(/\+/g, " "));
	};
	var queryString = location.search.substring(1);
	var keyValues = queryString.split('&');

	for (var i in keyValues) {
		var key = keyValues[i].split('=');
		if (key.length > 1) {
			assoc[decode(key[0])] = decode(key[1]);
		}
	}
	return assoc;
}

function getQueryString(para) {
	var qs = getQueryStrings();
	return qs[para];
}

function gotoPage(url) {
	var href = document.getElementById("trans");
	if (href == null) {
		$.alert("请在页面里设置跳转链接");
		return;
		//href = document.createElement("a");
		//document.body.appendChild(href);
	}
	href.setAttribute("href", url);
	href.click();
}

function doRequestLite(url, funcToRequest, funcToResponse) {

	// DEVCHECK
	if (url && url.substring(0, 1) != "/") {
		$.alert("url应以/开头:" + url);
		return;
	}

	var params = getQueryStrings();

	var data = {};
	if (funcToRequest) {
		funcToRequest(data, params);
	}

	$.ajax({
		type: 'GET',
		url: getRemoteSite() + url,
		data: data,
		contentType: "application/json",
		dataType: 'jsonp',
		timeout: 100000,
		success: function(data, status, xhr) {
			if (data.HasError) {
				$.alert(data.Errors.join(","));
			} else {
				if (funcToResponse) {
					funcToResponse(data, params);
				} else {
					$.alert("没有设置响应结果处理函数");
				}
			}
		},
		error: function(xhr, type, error) {
			if ("timeout" === type) {
				$.alert("网络请求超时，请检查设备信号后重试。");
			} else {
				if (error) {
					$.alert('网络请求错误，' + type + "，" + error);
				} else {
					$.alert('网络请求错误');

				}
			}
		},
		complete: function(xhr, status) {

		}
	});
}

function doRequest(url, funcToRequest, funcToResponse, funcCacheKey) {

	// DEVCHECK
	if (url && url.substring(0, 1) != "/") {
		$.alert("url应以/开头:" + url);
		return;
	}

	var params = getQueryStrings();

	var data = getSignData();
	data.m = getMoblieNo();
	data.u = getAccountNo();
	if (funcToRequest) {
		funcToRequest(data, params);
	}

	//console.log("data:", data);

	var key = "cache:" + url + "-" + (funcCacheKey ? funcCacheKey(data, params) : "");
	if (funcCacheKey) {
		var value = getlocal(key);
		if (value) {
			console.log("cache get:", key, value);
			var obj = JSON.parse(value);
			if (funcToResponse) {
				funcToResponse(obj);
			} else {
				$.alert("没有设置响应结果处理函数");
			}
			return;
		}
	}

	$.ajax({
		type: 'GET',
		url: getRemoteSite() + url,
		data: data,
		contentType: "application/json",
		dataType: 'jsonp',
		timeout: 100000,
		success: function(data, status, xhr) {
			if (data.HasError) {
				$.alert(data.Errors.join(","));
			} else {
				if (funcToResponse) {
					if (funcCacheKey) {
						var value = JSON.stringify(data);
						//console.log("cache set:", key, value);
						setlocal(key, value);
					}
					funcToResponse(data, params);
				} else {
					$.alert("没有设置响应结果处理函数");
				}
			}
		},
		error: function(xhr, type, error) {
			if ("timeout" === type) {
				$.alert("网络请求超时，请检查设备信号后重试。");
			} else {
				if (error) {
					$.alert('网络请求错误，' + type + "，" + error);
				} else {
					$.alert('网络请求错误');

				}
			}
		},
		complete: function(xhr, status) {

		}
	});
}

function getDataModel(url, data, key) {
	$.ajax({
		type: 'GET',
		url: getRemoteSite() + url,
		data: data,
		contentType: "application/json",
		dataType: 'jsonp',
		timeout: 100000,
		success: function(data, status, xhr) {
			if (data.HasError) {
				$.alert(data.Errors.join(","));
			} else {
				if (key) {
					var value = JSON.stringify(data);
					//console.log("cache set:", key, value);
					setlocal(key, value);
				}
			}
		},
		error: function(xhr, type, error) {
			if ("timeout" === type) {
				$.alert("网络请求超时，请检查设备信号后重试。");
			} else {
				$.alert('网络请求错误，' + type + "," + error);
			}
		},
		complete: function(xhr, status) {

		}
	});
}

// 显示消息
function doMsg(htmlId, msg) {
	document.getElementById(htmlId).innerHTML = "<div class='content-block'>" + msg + "</div>";
}

// 渲染模板
function doRender(tplId, data, htmlId) {
	var html = template(tplId, data);
	//console.log("html", html);
	var ele = document.getElementById(htmlId);
	if (ele) {
		ele.innerHTML = html;
	} else {
		//DEVCHECK
		$.alert("id为" + htmlId + "的元素不存在");
	}
}

// 清除缓存
function clearCache() {
	var m = getMoblieNo();
	var u = getAccountNo();
	var a = getAccountName();
	var t = getAccountType();
	localStorage.clear();
	setMoblieNo(m);
	setAccountNo(u);
	setAccountName(a);
	setAccountType(t);
}