$.init();

function dial() {
	var tel = document.getElementById("SalesTel").value;
	if (tel && (tel.length == 8 || tel.length == 11)) {
		plus.device.dial(tel, false);
	}
}

function recommend() {
	window.location.href = "base_recommend.html?no=" + getQueryStrings()["no"];
}

//添加'refresh'监听器
$(document).on('refresh', '.pull-to-refresh-content', function(e) {
	refreshData();
});

//判断是否收藏状态
function IsCollect() {
	doRequest("/api/is_collect",
		function(data, params) {
			data.h = params["no"];
		},
		function(data) {
			var s = data.Result.toString() === "false" ? "fa-heart-o" : "fa-heart";
			$("#star").html("<i class=\"fa " + s + "\"></i>");
		});
}
//切换收藏状态
function changeCollect() {
	doRequest("/api/collect_house",
		function(data, params) {
			data.h = params["no"];
		},
		function(data) {
			var s = data.Result.toString() === "false" ? "fa-heart-o" : "fa-heart";
			$("#star").html("<i class=\"fa " + s + "\"></i>");
			removelocal("cache:/api/get_house_my-" + getAccountNo());
		});
}

//刷新数据
function refreshData() {

	doRequest("/api/get_house_detail",
		function(data, params) {
			data.id = params["no"];
		},
		function(data) {
			data.Model.AddrPic = getPicUrl() + data.Model.AddrPic;
			data.Model.IsCloseAward = data.Model.IsCloseAward.toString();
			data.Model.IsVisitAward = data.Model.IsVisitAward.toString();
			data.Model.IsChipAward = data.Model.IsChipAward.toString();
			data.Model.IsVisitByBroker = data.Model.IsVisitByBroker.toString();
			data.Model.IsVisitInThirtyDays = data.Model.IsVisitInThirtyDays.toString();

			var html = template('is_message', data);
			console.info(data.Model.BeginAt);
			document.getElementById("title").innerHTML = data.Model.Name;
			document.getElementById("message").innerHTML = html;
			if (data.Model.AddrPic && data.Model.AddrPic != 'http://jjds.oss-cn-beijing.aliyuncs.com/null') {
				document.getElementById("abc").src = data.Model.AddrPic;
			}
			$(data.Model.ProjectInfos).each(function(i, v) {
				if (v.Type == "简介") {
					$("#synopsis").html(v.Content);
				}
				if (v.Type == "地段") {
					$("#area").html(v.Content);
				}
				if (v.Type == "配套") {
					$("#assort").html(v.Content);
				}
				if (v.Type == "地铁") {
					$("#metro").html(v.Content);
				}
				if (v.Type == "教育") {
					$("#teach").html(v.Content);
				}
				if (v.Type == "环境") {
					$("#ambient").html(v.Content);
				}
				if (v.Type == "交通") {
					$("#traffic").html(v.Content);
				}
				if (v.Type == "功能") {
					$("#function").html(v.Content);
				}
				if (v.Type == "推荐规则" && v.Type != null) {
					$("#recomDiv").html(v.Content);
				}
			});
		},
		function(data, params) {
			return data.id;
		})

//	IsCollect();
//	$("#star").click(function() {
//		changeCollect();
//	});
}

$(function() {
	var qs = getQueryStrings();
	$("#back-btn").attr("href", "base_project_my.html");
	
	refreshData();
	$("#recommendA").click(function() {
		$("#recommendDiv").show();
	});
	$("#recommendDiv").click(function() {
		$(this).hide();
	});
	$("#buildingA").click(function() {
		$("#buildingDiv").show();
	});
	$("#buildingDiv").click(function() {
		$(this).hide();
	});
	$("#assortA").click(function() {
		$("#assortDiv").show();
	});
	$("#assortDiv").click(function() {
		$(this).hide();
	});
});