
function refreshData() {
	var data = getSignData();
	data.m = getMoblieNo();
	var qs = getQueryStrings();
	data.id = qs["id"];
	$.ajax({
		type: 'GET',
		// http://123.56.185.114:8002/api/account?app=BEA&time=1456669504149&sign=c16f3826ee62405e4d24f19b8fa07911&m=18600000000&p=123456&_=1456669504153&callback=jsonp1
		url: getRemoteSite() + '/api/base_customer_details',
		// data to be added to query string:
		data: data,
		contentType: "application/json",
		// type of data we are expecting in return:
		dataType: 'jsonp',
		//18600961576async: false,
		//jsonpCallback: 'jsonpCallback',
		//data: JSON.stringify(postData),
		timeout: 10000,
		//context: $('body'),
		success: function(data, status, xhr) {
			// Supposing this JSON payload was received:
			//   {"project": {"id": 42, "html": "<div>..." }}
			// append the HTML to context object.
			if (data.HasError) {
				$.alert(data.Errors.join(","));
			} else {
				console.info(data.Model);
				var html = template('cpl', data.Model);
				document.getElementById('cpl-c').innerHTML = html;
				document.getElementById("name").value = data.Model.Name;
				document.getElementById("phone").value = data.Model.Mobile;
				document.getElementById("phone2").value = data.Model.Mobile2;
				document.getElementById("phone3").value = data.Model.Mobile3;
				document.getElementById("sex").value = data.Model.Gender;
				document.getElementById("dj").value = data.Model.Level;
				document.getElementById("No").value = data.Model.No;
				document.getElementById("txt").value = data.Model.Remark;
				document.getElementById("ud").value = data.Model.Id;
				$.pullToRefreshDone('.pull-to-refresh-content');
			}
		},
		error: function(xhr, type, error) {
			if ("timeout" === type) {
				$.alert("网络请求超时，请检查设备信号后重试。");
			} else {
				$.alert('网络请求错误，' + type + "," + error);
			}
		},
		complete: function(xhr, status) {
			//alert("complete");
		}
	});
}

function register() {

	var m = document.getElementById("name").value;
	var c = document.getElementById("phone").value;
	var cm = document.getElementById("phone2").value;
	var cb = document.getElementById("phone3").value;
	var s = document.getElementById("sex").value;
	var d = document.getElementById("dj").value;
	var e = document.getElementById("No").value;
	var x = document.getElementById("txt").value;
	var ud = document.getElementById("ud").value;

	if (!m) {
		$.alert("请输入姓名");
		return false;
	}
	if (!c) {
		$.alert("请输入手机号");
		return false;
	}

	var pattern = /^1[34578]\d{9}$/;
	if (!pattern.test(c)) {
		$.alert("必须输入手机号码");
		return false;
	}
	if (c.length !== 11) {
		$.alert("请输入正确的手机号码，长度11位");
		return false;
	}
	if (!pattern.test(cm)) {
		$.alert("客户手机号2格式错误,必须输入手机号码");
		return false;
	}
	if (cm.length !== 11) {
		$.alert("客户手机号2格式错误,请输入正确的手机号码，长度11位");
		return false;
	}
	if (!pattern.test(cb)) {
		$.alert("客户手机号3格式错误,必须输入手机号码");
		return false;
	}
	if (cb.length !== 11) {
		$.alert("客户手机号3格式错误,请输入正确的手机号码，长度11位");
		return false;
	}
	var data = getSignData();
	data.m = m;
	data.c = c;
	data.cm=cm;
	data.cb=cb;
	data.s = s;
	data.d = d;
	data.e = e;
	data.x = x;
	data.ud = ud;
	data.u = getAccountNo();
	$.ajax({
		type: 'GET',
		url: getRemoteSite() + '/api/base_customer_update',
		data: data,
		contentType: "application/json",
		dataType: 'jsonp',
		timeout: 10000,
		success: function(data, status, xhr) {
			if (data.HasError) {
				$.alert(data.Errors.join(","));
			} else {
				//setAuth(data.Model.No);
				//location.href ="base_customer.html";
				removelocal("cache:/api/base_customer-" + getAccountNo());
//				removelocal("cache:/api/base_customer_details-" +data.id);
				$.alert("修改成功");
				setTimeout(function() {
					window.location.href = "./base_customer.html";
				}, 1500);
			}
		},
		error: function(xhr, type, error) {
			if ("timeout" === type) {
				$.alert("网络请求超时，请检查设备信号后重试。");
			} else {
				$.alert('网络请求错误，' + type + "," + error);
			}
		},
		complete: function(xhr, status) {}
	});
}

function deleteCustomer() {

	$.confirm("你确定删除客户吗？", function() {
		doRequest('/api/base_customer_delete',
			function(data, params) {
				data.id = params["id"];
			},
			function(data) {
				$.alert("删除成功");
				removelocal("cache:/api/base_customer-" + getAccountNo());
				setTimeout(function() {
					window.location.href = "../hg_br/base_customer.html";
				}, 1500);
			});
	});
}

$(function() {
	refreshData();
	$("#TJ").live('click', function() {
		register();
	})

})